Bug 1409608 (CVE-2016-10075) - CVE-2016-10075 python-tqdm: insecure use of 'git log' command
Summary: CVE-2016-10075 python-tqdm: insecure use of 'git log' command
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2016-10075
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1409609
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-02 15:27 UTC by Martin Prpič
Modified: 2019-09-29 14:03 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:05:01 UTC


Attachments (Terms of Use)

Description Martin Prpič 2017-01-02 15:27:41 UTC
It was found that python-tqdm executes the 'git log -n 1 --oneline' command when imported. A crafted Git repository configured to execute a particular script on a 'git log' could execute arbitrary code with the privileges of the user running an application that imports the tqdm module.

Additional information and CVE assignment:

http://seclists.org/oss-sec/2016/q4/748

Comment 1 Martin Prpič 2017-01-02 15:28:20 UTC
Created python-tqdm tracking bugs for this issue:

Affects: fedora-all [bug 1409609]

Comment 2 Igor Gnatenko 2017-02-11 13:10:04 UTC
Martin, please file bug for EPEL7 as well. It also contains this security issue.

I don't maintain EPEL version, so not going to fix it.

Comment 3 Product Security DevOps Team 2019-06-08 03:05:01 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.